package VistaControlador;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;

public class VistaInformes extends VistaPanel{
	JButton mostrarInforme1;
	JButton exportarInforme1;
	JButton mostrarInforme2;
	JButton exportarInforme2;

	JComboBox<String> opciones1_1;
	JComboBox<String> opciones1_2;
	JComboBox<String> opciones2;
	public VistaInformes() {
		
		
		super();
		this.setLayout(new GridBagLayout());
		GridBagConstraints constrain = new GridBagConstraints();
		
		constrain.gridx = 0;
		constrain.gridy = 0;
		this.mostrarInforme1 = new JButton("Mostrar 1");
		this.mostrarInforme1.setToolTipText("Muestra el resultado final del informe 1");
		this.add(mostrarInforme1,constrain);
		constrain.gridx = 0;
		constrain.gridy = 1;
		this.exportarInforme1 = new JButton("Exportar 1");
		this.exportarInforme1.setToolTipText("Exporta el informe 1 que puedes visualizar");
		this.add(exportarInforme1,constrain);
		this.opciones1_1 = new JComboBox<String>();
		this.opciones1_1.setToolTipText("Por que quieres ordenar?");
		constrain.gridx = 0;
		constrain.gridy = 2;
		this.add(opciones1_1, constrain);
		this.opciones1_2 = new JComboBox<String>();
		this.opciones1_2.setToolTipText("Anio de la busqueda");
		constrain.gridx = 0;
		constrain.gridy = 3;
		this.add(opciones1_2, constrain);
		constrain.gridx = 1;
		constrain.gridy = 0;
		this.mostrarInforme2 = new JButton("Mostrar 2");
		this.add(mostrarInforme2,constrain);
		this.mostrarInforme2.setToolTipText("Muestra el resultado final del informe 2");
		constrain.gridx = 1;
		constrain.gridy = 1;
		this.exportarInforme2 = new JButton("Exportar 2");
		this.exportarInforme2.setToolTipText("Exporta el informe 2 que puedes visualizar");
		this.add(exportarInforme2,constrain);
		constrain.gridx = 1;
		constrain.gridy = 2;
		this.opciones2 = new JComboBox<String>();
		this.opciones2.setToolTipText("Por que quieres ordenar?");
		this.add(opciones2, constrain);
		this.cargarComb();
	}
	
	private void cargarComb() {
		this.opciones2.addItem("id");
		this.opciones2.addItem("usuario");
		this.opciones1_1.addItem("fecha");
		this.opciones1_1.addItem("usuario");
	}
}
